Subject: RE: Unable to get CRON to work
From: "Sachar, Bradley (NIH/OD)" <[email-masked]>
To: 'PLAN Frédéric URS Lyon' <[email-masked]>
Cc: "'Harig, Mark'" <[email-masked]>, [email-masked]
Date: Wed, 21 Apr 2004 16:06:43 -0400

I resolved my problem.

1. When I first did the installation, I was logged on to my network.  By
default, cygwin chose my network home directory (H drive) as my home
directory instead of my C drive.  For some reason cygwin was not able to
write to my network drives from cron (maybe because I don't own the root on
the network drive?).  I switched my home directory to my C drive (by setting
my "HOME" environment variable in windows2000 to c:\cygwin) instead of a
network directory and it worked OK.

2. I also changed my default group to Administrators instead of mkgroup-l-d

3. I needed to explicitly specify /bin/echo not just echo in the cron to
test /bin/echo "test" > $HOME/test.out

Brad
eRA Technical Advisor, Contractor to NIH

-----Original Message-----
From: PLAN Frédéric URS Lyon [mailto:[email-masked]]
Sent: Wednesday, April 21, 2004 2:56 PM
To: Sachar, Bradley (NIH/OD)
Cc: 'Harig, Mark'
Subject: RE: Unable to get CRON to work

Hello,

I permit to write you directly out of context of mailing list.

Did you resolv your problem of crontab ? So maybe can you bring me good
help...

I've got the same problem, and it would be so stupid to give up cygwin
because of that.

I passed command mkgroup -l > /etc/group and mkpasswd > /etc/passwd

$ cat /etc/group
root:S-1-5-32-544:0:
SYSTEM:S-1-5-18:18:
Aucun:S-1-5-21-796845957-823518204-725345543-513:513:
Administrateurs:S-1-5-32-544:544:Administrateur
Duplicateurs:S-1-5-32-552:552:
Invités:S-1-5-32-546:546:Invité,TsInternetUser
Opérateurs de sauvegarde:S-1-5-32-551:551:
Utilisateurs:S-1-5-32-545:545:sshd
Utilisateurs avec pouvoir:S-1-5-32-547:547:

$ cat /etc/passwd
SYSTEM:*:18:544:,S-1-5-18::
Administrateurs:*:544:544:,S-1-5-32-544::
Administrateur:unused_by_nt/2000/xp:500:547:U-CSOCMCAWCG\Administrateur,S-1-
5-21-796845957-823518204-725345543-500:/home/Administrateur:/bin/bash
Invité:unused_by_nt/2000/xp:501:513:U-CSOCMCAWCG\Invité,S-1-5-21-796845957-8
23518204-725345543-501:/home/Invité:/bin/bash
sshd:unused_by_nt/2000/xp:1001:513:sshd
privsep,U-CSOCMCAWCG\sshd,S-1-5-21-796845957-823518204-725345543-1001:/var/e
mpty:/bin/bash
TsInternetUser:unused_by_nt/2000/xp:1000:513:TsInternetUser,U-CSOCMCAWCG\TsI
nternetUser,S-1-5-21-796845957-823518204-725345543-1000:/home/TsInternetUser
:/bin/bash

The cron file "Administrateur" beyongs Administrateur's user :

Administrateur@csocmcawcg /var/cron/tabs
$ ls -al
total 1
drwxrwxrwt+   2 Administ Utilisat        0 Apr 21 20:18 .
drwxrwxrwt+   3 Administ Utilisat        0 Apr  9 18:23 ..
-rwxrwxrwx    1 Administ SYSTEM        329 Apr 21 20:18 Administrateur

And in desesperation, I put all rights (777) to this file, but nothing's is
efficient.

Please, what is the best solution to activate the cron fonction ?

Scuse for my bad english langage... ;o)
Fred.

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]]De la part
de Harig, Mark
Envoyé : mercredi 14 avril 2004 18:01
À : Sachar, Bradley (NIH/OD)
Cc : [email-masked]
Objet : RE: Unable to get CRON to work

> -----Original Message-----
> Sent: Monday, April 12, 2004 5:52 PM
> To: [email-masked]'
> Subject: Unable to get CRON to work
> 
> 
> Cygwin Support,
>  
> I have done a new installation of cygwin into the C:\cygwin 
> folder.  CRON
> does not seem to be waking up and executing the crontab.  I 
> have run the
> cron_diagnose.sh program and it told me to run a cygcheck.  
> Output from both
> are attached.
>  

From your attached text:

>$ ls -ltr /cygdrive/h
>total 200
>-rw-r--r--    1 sacharb  mkgroup-   201884 Sep  4  2001 impacddl.zip

Notice that the group ownership is set to 'mkgroup-'.
This indicates that your entry for 'sacharb' has not
been setup completely in your /etc/passwd and /etc/group
files.  This is further indicated from your attached
text:

>Output from C:\cygwin\bin\id.exe (nontsec)
>UID: 25016(sacharb) GID: 10545(mkgroup-l-d)
>10545(mkgroup-l-d)
>
>Output from C:\cygwin\bin\id.exe (ntsec)
>UID: 25016(sacharb) GID: 10545(mkgroup-l-d)
>0(root)              544(Administrators)  
>545(Users)           1005(ORA_DBA)        10545(mkgroup-l-d)

The "GID: 10545(mkgroup-l-d)" is telling you to run
the mkgroup command to update your /etc/group file
(and make a corresponding change to your entry in
your /etc/passwd file).  Please see the documentation
in the manual pages for the 'mkpasswd' and 'mkgroup'
commands, i.e., run "man mkpasswd" and "man mkgroup".

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/